Bug 1927535 - Review Request: fbrnch - Fedora packager tool to build package branches
Summary: Review Request: fbrnch - Fedora packager tool to build package branches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tristan Cacqueray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1924099
TreeView+ depends on / blocked
 
Reported: 2021-02-10 22:37 UTC by Jens Petersen
Modified: 2021-03-01 02:17 UTC (History)
2 users (show)

Fixed In Version: fbrnch-0.7.1-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-28 17:25:48 UTC
Type: ---
tdecacqu: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2021-02-10 22:37:53 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/fbrnch/fbrnch.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/fbrnch/fbrnch-0.7.1-1.fc33.src.rpm

Description:
Fbrnch is a convenient packaging tool for Fedora Packagers, with integration
for Bugzilla, Koji, and Bodhi.

Features include:
- merging and building a package across release branches
- automatic parallel builds of sets of packages in dependency order
- creating, updating and listing one's package reviews
- requesting repos for new approved packages and branch requests
- import srpms from package reviews
- progressive copr builds
- and many more commands.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=61724382

Comment 2 Tristan Cacqueray 2021-02-18 13:10:12 UTC
Note:
- I guess the crypto-policy-non-compliance-openssl warning is related to ghc-HsOpenSSL,
  could this be fixed in the future?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fbrnch-0.7.1-2.fc35.x86_64.rpm
          fbrnch-0.7.1-2.fc35.src.rpm
fbrnch.x86_64: W: spelling-error %description -l en_US repos -> ropes, reps, repose
fbrnch.x86_64: W: spelling-error %description -l en_US srpms -> PMS
fbrnch.x86_64: W: spelling-error %description -l en_US copr -> corp, cope, cop
fbrnch.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/fbrnch SSL_CTX_set_cipher_list
fbrnch.src: W: spelling-error %description -l en_US repos -> ropes, reps, repose
fbrnch.src: W: spelling-error %description -l en_US srpms -> PMS
fbrnch.src: W: spelling-error %description -l en_US copr -> corp, cope, cop
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb_ro Packages database while attempting sqlite backend: using bdb_ro backend.
warning: Found bdb_ro Packages database while attempting sqlite backend: using bdb_ro backend.
fbrnch.x86_64: W: spelling-error %description -l en_US repos -> ropes, reps, repose
fbrnch.x86_64: W: spelling-error %description -l en_US srpms -> PMS
fbrnch.x86_64: W: spelling-error %description -l en_US copr -> corp, cope, cop
fbrnch.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/fbrnch SSL_CTX_set_cipher_list
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://hackage.haskell.org/package/fbrnch-0.7.1/fbrnch-0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : fc281e0193b1686f395a5432bfbe9a0aa7513d900a99f4eebcbb1fc3521efa15
  CHECKSUM(SHA256) upstream package : fc281e0193b1686f395a5432bfbe9a0aa7513d900a99f4eebcbb1fc3521efa15


Requires
--------
fbrnch (rpmlib, GLIBC filtered):
    bodhi-client
    copr-cli
    curl
    fedpkg
    git-core
    koji
    krb5-workstation
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libssl.so.1.1()(64bit)
    libssl.so.1.1(OPENSSL_1_1_0)(64bit)
    libz.so.1()(64bit)
    openssh-clients
    rpm-build
    rpmdevtools
    rtld(GNU_HASH)



Provides
--------
fbrnch:
    fbrnch
    fbrnch(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1927535
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: C/C++, Java, Python, Ocaml, Perl, R, fonts, Haskell, PHP, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Jens Petersen 2021-02-18 13:24:12 UTC
(In reply to Tristan Cacqueray from comment #2)
> - I guess the crypto-policy-non-compliance-openssl warning is related to
> ghc-HsOpenSSL, could this be fixed in the future?

Good question: I think you are right.

I was hoping that ghc-HsOpenSSL-x509-system might help with this,
currently it seems mainly used via http-client-openssl.
So need to think on this.

Comment 4 Jens Petersen 2021-02-18 13:27:07 UTC
Thank you for the review, Tristan

https://pagure.io/releng/fedora-scm-requests/issue/32200

Comment 5 Mohan Boddu 2021-02-19 20:41:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fbrnch

Comment 6 Fedora Update System 2021-02-20 11:46:37 UTC
FEDORA-2021-febbe71590 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-febbe71590

Comment 7 Fedora Update System 2021-02-20 17:32:01 UTC
FEDORA-2021-8d71372682 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8d71372682

Comment 8 Fedora Update System 2021-02-21 01:02:21 UTC
FEDORA-2021-febbe71590 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-febbe71590 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-febbe71590

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-02-21 01:09:23 UTC
FEDORA-2021-8d71372682 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-8d71372682 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8d71372682

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-02-28 04:27:16 UTC
FEDORA-2021-93631241b2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-93631241b2

Comment 11 Fedora Update System 2021-02-28 17:25:48 UTC
FEDORA-2021-febbe71590 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-02-28 17:38:27 UTC
FEDORA-2021-8d71372682 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-02-28 18:08:49 UTC
FEDORA-2021-93631241b2 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-93631241b2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-93631241b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Jens Petersen 2021-03-01 02:17:21 UTC
(In reply to Fedora Update System from comment #13)
> FEDORA-2021-93631241b2 has been pushed to the Fedora 33 testing repository.
> Soon you'll be able to install the update with the following command:
> `sudo dnf install --enablerepo=updates-testing
> --advisory=FEDORA-2021-93631241b2 \*`
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2021-93631241b2

This one is actually due to a fbrnch (edge-case) bug:
which I hope to fix in the following release.


Note You need to log in before you can comment on or make changes to this bug.